import { ListSectorUsecase } from '@app/application/sectors/list-sector.usecase';
import { FakeSectorRepository } from '@app/testing/domain/sectors/fake-sector.repository';
import { fakeSectors } from '@app/testing/sector.mock';

describe('ListSectorUsecase', () => {
  let useCase: ListSectorUsecase;
  let repo: FakeSectorRepository;

  beforeEach(() => {
    repo = new FakeSectorRepository();
    useCase = new ListSectorUsecase(repo);
  });

  it('doit retourne la liste des secteurs ', () => {
    useCase.execute().subscribe((sectors) => {
      expect(sectors.length).toBe(fakeSectors.length);
    });
  });
});
